// HelpDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Sngl_Doc.h"
#include "HelpDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHelpDlg dialog


CHelpDlg::CHelpDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CHelpDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CHelpDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CHelpDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHelpDlg)
	DDX_Control(pDX, IDC_EXPLORER1, m_WebBrowser);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHelpDlg, CDialog)
	//{{AFX_MSG_MAP(CHelpDlg)
	ON_WM_SIZE()
	ON_BN_CLICKED(IDC_FORWARD, OnForward)
	ON_BN_CLICKED(IDC_BACKWARD, OnBackward)
	ON_BN_CLICKED(IDC_GLOSSARY, OnGlossary)
	ON_BN_CLICKED(IDC_CONTROLS, OnControls)
	ON_BN_CLICKED(IDC_HOME, OnHome)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHelpDlg message handlers

BOOL CHelpDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// Navigate to the main help screen.
	m_WebBrowser.Navigate("http://nt_server/help2/sample.htm", NULL, NULL, NULL, NULL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CHelpDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);
	
	// Change the WebBrowser control size to match the dialog.
	m_WebBrowser.SetHeight(cy - 64);
	m_WebBrowser.SetWidth(cx - 28);
}

void CHelpDlg::OnForward() 
{
	// Go to the next site in the history list.
	m_WebBrowser.GoForward();
	
}

void CHelpDlg::OnBackward() 
{
	// Go to the previous site in the history list.
	m_WebBrowser.GoBack();
	
}

void CHelpDlg::OnGlossary() 
{
	// Go to the Glossary Web page.
	m_WebBrowser.Navigate("http://nt_server/help2/glossary.htm", NULL, NULL, NULL, NULL);
	
}

void CHelpDlg::OnControls() 
{
	// Go to the Controls (Format) Web page.
	m_WebBrowser.Navigate("http://nt_server/help2/format.htm", NULL, NULL, NULL, NULL);
	
}

void CHelpDlg::OnHome() 
{
	// Navigate to the main help screen.
	m_WebBrowser.Navigate("http://nt_server/help2/sample.htm", NULL, NULL, NULL, NULL);
	
}
