// CntrItem.h : interface of the CSngl_DocCntrItem class
//

#if !defined(AFX_CNTRITEM_H__48A66238_93E2_11D0_9887_00A024DA5F0B__INCLUDED_)
#define AFX_CNTRITEM_H__48A66238_93E2_11D0_9887_00A024DA5F0B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CSngl_DocDoc;
class CSngl_DocView;

class CSngl_DocCntrItem : public CRichEditCntrItem
{
	DECLARE_SERIAL(CSngl_DocCntrItem)

// Constructors
public:
	CSngl_DocCntrItem(REOBJECT* preo = NULL, CSngl_DocDoc* pContainer = NULL);
		// Note: pContainer is allowed to be NULL to enable IMPLEMENT_SERIALIZE.
		//  IMPLEMENT_SERIALIZE requires the class have a constructor with
		//  zero arguments.  Normally, OLE items are constructed with a
		//  non-NULL document pointer.

// Attributes
public:
	CSngl_DocDoc* GetDocument()
		{ return (CSngl_DocDoc*)CRichEditCntrItem::GetDocument(); }
	CSngl_DocView* GetActiveView()
		{ return (CSngl_DocView*)CRichEditCntrItem::GetActiveView(); }

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSngl_DocCntrItem)
	public:
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	~CSngl_DocCntrItem();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CNTRITEM_H__48A66238_93E2_11D0_9887_00A024DA5F0B__INCLUDED_)
